import QtQuick 2.0
import Sailfish.Silica 1.0

Dialog {
    id: page
    SilicaListView {
        id: departureInput
        model: 20
        anchors.fill: parent

        header: PageHeader {
            title: "Departures"
        }

        delegate: BackgroundItem {
            id: delegate

            Label {
                x: Theme.paddingLarge
                text: "Item " + index
                color: delegate.highlighted ? Theme.highlightColor : Theme.primaryColor
            }
            onClicked: console.log("Clicked " + index)
        }
    }

    acceptDestination: Qt.resolvedUrl("ScheduleInputPage.qml")
}
